AI QR codes
GET https://qrcodemonkey.net/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Paraméterek | Részletek | Leírás |
|---|---|---|
| search | Opcionális Szöveg | A keresési karakterlánc. |
| search_by | Opcionális Szöveg | Melyik mező alapján keresel. Engedélyezett értékek: name |
| project_id | Opcionális Egész szám | Available when: %s |
| order_by | Opcionális Szöveg | Milyen mező szerint rendezze a találatokat. Az engedélyezett értékek: ai_qr_code_id, datetime, last_datetime, name. |
| order_type | Opcionális Szöveg | Az eredmények sorrendje. Az engedélyezett értékek: ASC növekvő sorrendben, és DESC csökkenő sorrendben. |
| page | Opcionális Egész szám | Az oldalszám, amelyről az eredményeket szeretné megkapni. Alapértelmezés szerint 1. |
| results_per_page | Opcionális Egész szám | Hány eredményt szeretne oldalanként. Engedélyezett értékek: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Alapértelmezés: 25 |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcodemonkey.net/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-14 10:06:16",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"last": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/ai-qr-codes?page=1"
}
}
GET https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcodemonkey.net/",
"last_datetime": null,
"datetime": "2026-06-14 10:06:16",
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes
| Paraméterek | Részletek | Leírás |
|---|---|---|
| link_id | Opcionális Egész szám | - |
| project_id | Opcionális Egész szám | - |
| name | Kötelező Szöveg | - |
| content | Kötelező Szöveg | - |
| prompt | Kötelező Szöveg | - |
| Paraméterek | Részletek | Leírás |
|---|---|---|
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcodemonkey.net/' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcodemonkey.net/' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
| Paraméterek | Részletek | Leírás |
|---|---|---|
| link_id | Opcionális Egész szám | - |
| project_id | Opcionális Szöveg | - |
| name | Opcionális Szöveg | - |
| content | Opcionális Szöveg | - |
| prompt | Opcionális Szöveg | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \